import { OnChanges, SimpleChange } from '@angular/core';
import { AngularDatatableDirective } from './angular-datatable.directive';
export declare class PaginatorComponent implements OnChanges {
    private injectMfTable;
    inputMfTable: AngularDatatableDirective;
    private mfTable;
    activePage: number;
    rowsOnPage: number;
    dataLength: number;
    lastPage: number;
    constructor(injectMfTable: AngularDatatableDirective);
    ngOnChanges(changes: {
        [key: string]: SimpleChange;
    }): any;
    setPage(pageNumber: number): void;
    setRowsOnPage(rowsOnPage: number): void;
    private onPageChangeSubscriber;
}
